%global momorel 1
%global srcver 207
%global md5sum_src0 af11dcd3fe71d67831c020e3bfd5073b

Summary: Network Kanji code conversion Filter
Name: nkf
Version: 2.0.7
Release: %{momorel}m
License: BSD
Group: Applications/Text
URL: http://sourceforge.jp/projects/nkf/
%NoSource 0 http://prdownloads.sourceforge.jp/nkf/20770/nkf%{srcver}.tar.gz %{md5sum_src0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl >= 5.8.2

%description
Nkf is a yet another kanji code converter among networks, hosts and termi-
nals.  It converts input kanji code to designated kanji code such as 7-bit
JIS, MS-kanji (shifted-JIS) or EUC.

One of the most unique facicility of nkf is the guess of the input kanji
code.  It currently recognizes 7-bit JIS, MS-kanji (shifted-JIS) and EUC.
So users needn't the input kanji code specification.

By default X0201 kana is converted into X0208 kana. For X0201 kana, SO/SI,
SSO and ESC-(-I methods are supported. For automatic code detection, nkf
assumes no X0201 kana in MS-Kanji. To accept X0201 in MS-Kanji, use -X, -x
or -S.

%package -n perl-NKF
Summary: Perl extension for Network Kanji Filter
Group: Applications/Text
Requires: perl >= 5.8.1

%description -n perl-NKF
This is a Perl Extension version of nkf (Netowrk Kanji Filter ) 1.7.
It converts the last argument and return converted result. Conversion
details are specified by flags before the last argument.

%prep
%setup -q -n nkf207

%build
make CC="gcc" CFLAGS="%{optflags}" PERL="perl" nkf
./nkf -e -O nkf.1j
mv nkf.out nkf.1j
(cd NKF.mod;
 CFLAGS="%optflags" perl Makefile.PL
 make
 make test
)

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
install -d -m 0755 %{buildroot}%{_bindir}
install -d -m 0755 %{buildroot}%{_mandir}/{man1,ja/man1}
install -s -m 755 nkf %{buildroot}%{_bindir}
install -m 644 nkf.1 %{buildroot}%{_mandir}/man1/
install -m 644 nkf.1j %{buildroot}%{_mandir}/ja/man1/nkf.1
(cd NKF.mod;
make install PERL_INSTALL_ROOT=%{buildroot}
)
rm %{buildroot}%{perl_sitearch}/auto/NKF/.packlist

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/nkf
%{_mandir}/man1/nkf.1*
%{_mandir}/ja/man1/nkf.1*

%files -n perl-NKF
%defattr(-,root,root)
%{perl_sitearch}/NKF.pm
%{perl_sitearch}/auto/NKF
%{_mandir}/man3/NKF.3*

%changelog
* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.0.7-1m)
- update to 2.0.7

* Sat May 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.0.7-0.1.1m)
- update to 2.0.7_beta1

* Thu Mar 16 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.0.6-0.1.1m)
- update to 2.0.6_beta1

* Mon Mar 06 2006 Koichi NARITA <pulsar@sea.plala.or.jp>
- (2.0.5-1m)
- update to 2.0.5

* Thu Feb 9 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.0.5-0.20050102.2m)
- rebuild against perl-5.8.8

* Tue Feb  8 2005 zunda <zunda at freeshell.org>
- (2.0.5-0.20050102.1m)
- update to a CVS version
- added --guess option to guess charactor code of each input file

* Sun Aug 22 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.0.4-3m)
- build against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.0.4-2m)
- remove Epoch from BuildPrereq

* Wed Jan  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.4-1m)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.3-3m)
- rebuild against perl-5.8.2

* Sat Nov 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.3-2m)
- use %%global

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.3-2m)
- rebuild against perl-5.8.1

* Wed Oct 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.3-1m)
- update to 2.0.3

* Mon Jan 27 2003 YAMAGUCHI Kenji <yamk@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2

* Fri Nov 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.1-2m)
- rebuild against perl-5.8.0

* Thu Oct 24 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (2.0.1-1m)
- version up to nkf-2.0.1 and add 20021024 cvs patch.
- change URL tag.
- check buildroot at %%clean section

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag
- fix ChangeLog to changelog

* Tue Aug 28 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.92-12k)
- fix zenkaku_space mojibake problem

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- fix for bzip2ed man

* Sun Jul  9 2000 Hidetomo Machi <mcHT@kondara.org>
- not gzip man file in spec

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sun Jul  2 2000 Toru Hoshina <t@kondara.org>
- rebuild against perl 5.6.0 

* Sat Mar 18 2000 Motonobu Ichimura <famao@kondara.org>
- up to 1.92

* Sat Mar 11 2000 Motonobu Ichimura <famao@kondara.org>
- fix .packlist problem

* Thu Dec 30 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Rebuild from shar file.

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Nov 6 1999 Tenkou N. Hattori <tnh@kondara.org>
- convart nkf.1j to EUC-JP code.

* Tue Nov 2 1999 Norihito Ohmori <ohmori@flatout.org>
- update to nkf-1.90
